//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
partial class MessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void ShowFailure(string text)
{
   ShowFailure((WF.IWin32Window)null,text);
}

public static WF.DialogResult ShowFailure(string text,WF.MessageBoxButtons buttons)
{
   return ShowFailure((WF.IWin32Window)null,text,buttons);
}

public static WF.DialogResult ShowFailure( string text,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((WF.IWin32Window)null,text,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowFailure(string text,[HOptional] string caption)
{
   ShowFailure((WF.IWin32Window)null,text,caption);
}

public static WF.DialogResult ShowFailure( string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons )
{
   return ShowFailure((WF.IWin32Window)null,text,caption,buttons);
}

public static WF.DialogResult ShowFailure( string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((WF.IWin32Window)null,text,caption,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowFailure(Exception e)
{
   ShowFailure((WF.IWin32Window)null,e);
}

public static WF.DialogResult ShowFailure(Exception e,WF.MessageBoxButtons buttons)
{
   return ShowFailure((WF.IWin32Window)null,e,buttons);
}

public static WF.DialogResult ShowFailure( Exception e,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((WF.IWin32Window)null,e,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowFailure(Exception e,[HOptional] string caption)
{
   ShowFailure((WF.IWin32Window)null,e,caption);
}

public static WF.DialogResult ShowFailure( Exception e,
                                           [HOptional] string caption,
                                           WF.MessageBoxButtons buttons )
{
   return ShowFailure((WF.IWin32Window)null,e,caption,buttons);
}

public static WF.DialogResult ShowFailure( Exception e, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((WF.IWin32Window)null,e,caption,buttons,defaultResult);
}

//==================================================================================================

public static void ShowFailure([HOptional] WF.IWin32Window owner,string text)
{
   ShowFailure((ShowMessageExtraInfo)null,owner,text);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           string text, WF.MessageBoxButtons buttons )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,text,buttons);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner, string text,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,text,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowFailure( [HOptional] WF.IWin32Window owner,
                                string text, [HOptional] string caption )
{
   ShowFailure((ShowMessageExtraInfo)null,owner,text,caption);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,text,caption,buttons);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           string text, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,text,caption,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowFailure([HOptional] WF.IWin32Window owner,Exception e)
{
   ShowFailure((ShowMessageExtraInfo)null,owner,e);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           Exception e, WF.MessageBoxButtons buttons )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,e,buttons);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           Exception e,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,e,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowFailure( [HOptional] WF.IWin32Window owner,
                                Exception e, [HOptional] string caption )
{
   ShowFailure((ShowMessageExtraInfo)null,owner,e,caption);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           Exception e, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,e,caption,buttons);
}

public static WF.DialogResult ShowFailure( [HOptional] WF.IWin32Window owner,
                                           Exception e, [HOptional] string caption,
                                           WF.MessageBoxButtons buttons,
                                           WF.DialogResult defaultResult )
{
   return ShowFailure((ShowMessageExtraInfo)null,owner,e,caption,buttons,defaultResult);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // MessageBox
//**************************************************************************************************

} // WFX
